Bug 77255 - Make BundesGit for LibreOffice work on Windows
Summary: Make BundesGit for LibreOffice work on Windows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, skillPython
Depends on:
Blocks:
 
Reported: 2014-04-09 21:39 UTC by Björn Michaelsen
Modified: 2018-04-23 02:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-04-09 21:39:47 UTC
BundesGit for LibreOffice is a proof-of-concept that allows inserting content from a git repository in a text with a accelerator:

 http://skyfromme.wordpress.com/2014/04/07/announcing-bundesgit-for-libreoffice/

(the content of the repository currently are german federal laws -- but the extension could be reused for other content easily).

It requires git 1.9 in the path -- which is the case in most modern Linux distros (e.g. Ubuntu 14.04), but not on Windows.

This Easy Hack is to make the extension working on Windows too e.g. by bundling the portable windows binaries from msysgit:

 https://code.google.com/p/msysgit/

and using that on windows. The extensions has a set of unittest that should make this work moderately easy.

The extension is hosted at:

https://gerrit.libreoffice.org/gitweb?p=sdk-examples.git;a=tree;f=BundesGit
Comment 1 Björn Michaelsen 2014-05-23 12:13:21 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 2 Robinson Tryon (qubit) 2015-12-14 06:42:10 UTC Comment hidden (obsolete)
Comment 3 Robinson Tryon (qubit) 2016-02-18 14:51:29 UTC Comment hidden (obsolete)
Comment 4 jani 2016-04-12 16:01:51 UTC
Kanchana@ Still working on this patch (otherwise please unsaying yourself) ?
Comment 5 Kanchana 2016-04-12 16:27:50 UTC
(In reply to jan iversen from comment #4)
> Kanchana@ Still working on this patch (otherwise please unsaying yourself) ?

Really sorry for the trouble. I unassigned myself.
Comment 6 jani 2016-05-04 06:03:19 UTC
Removing easy hacks, because it does not help a contributor getting squinted with our tools or code.
Comment 7 QA Administrators 2018-04-23 02:32:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug